import request from '@/utils/request'

// 获取公告
export function getMesaage(data) {
  return request({
    url: '/info/getinfolist',
    method: 'get',
    params: data
  })
}

// 添加公告
export function addMesaage(data) {
  return request({
    url: '/info/uploadinfo',
    method: 'post',
    data
  })
}

// 修改公告
export function editMesaage(data) {
  return request({
    url: '/info/updateinfo',
    method: 'post',
    data
  })
}

// 公告置顶
export function topMesaage(data) {
  return request({
    url: '/info/setinfotop',
    method: 'post',
    data
  })
}

// 禁用启用公告
export function disableMesaage(data) {
  return request({
    url: '/info/disableinfo',
    method: 'post',
    data
  })
}

// 删除公告
export function deleteMesaage(data) {
  return request({
    url: '/info/destoryinfo',
    method: 'post',
    data
  })
}

